const FETCH_PLACES_REQUEST = 'FETCH_PLACES_REQUEST';
const FETCH_PLACES_SUCCESS = 'FETCH_PLACES_SUCCESS';
const FETCH_PLACES_ERROR = 'FETCH_PLACES_ERROR';

const FETCH_PLACE_REQUEST = 'FETCH_PLACE_REQUEST';
const FETCH_PLACE_SUCCESS = 'FETCH_PLACE_SUCCESS';
const FETCH_PLACE_ERROR = 'FETCH_PLACE_ERROR';

const ADD_PLACE_REQUEST = 'ADD_PLACE_REQUEST';
const ADD_PLACE_SUCCESS = 'ADD_PLACE_SUCCESS';
const ADD_PLACE_ERROR = 'ADD_PLACE_ERROR';

const UPDATE_PLACE_REQUEST = 'UPDATE_PLACE_REQUEST';
const UPDATE_PLACE_SUCCESS = 'UPDATE_PLACE_SUCCESS';
const UPDATE_PLACE_ERROR = 'UPDATE_PLACE_ERROR';

const DELETE_PLACE_REQUEST = 'DELETE_PLACE_REQUEST';
const DELETE_PLACE_SUCCESS = 'DELETE_PLACE_SUCCESS';
const DELETE_PLACE_ERROR = 'DELETE_PLACE_ERROR';

const FETCH_DISHES_REQUEST = 'FETCH_DISHES_REQUEST';
const FETCH_DISHES_SUCCESS = 'FETCH_DISHES_SUCCESS';
const FETCH_DISHES_ERROR = 'FETCH_DISHES_ERROR';

const FETCH_DISH_REQUEST = 'FETCH_DISH_REQUEST';
const FETCH_DISH_SUCCESS = 'FETCH_DISH_SUCCESS';
const FETCH_DISH_ERROR = 'FETCH_DISH_ERROR';

const ADD_DISH_REQUEST = 'ADD_DISH_REQUEST';
const ADD_DISH_SUCCESS = 'ADD_DISH_SUCCESS';
const ADD_DISH_ERROR = 'ADD_DISH_ERROR';

const UPDATE_DISH_REQUEST = 'UPDATE_DISH_REQUEST';
const UPDATE_DISH_SUCCESS = 'UPDATE_DISH_SUCCESS';
const UPDATE_DISH_ERROR = 'UPDATE_DISH_ERROR';

const DELETE_DISH_REQUEST = 'DELETE_DISH_REQUEST';
const DELETE_DISH_SUCCESS = 'DELETE_DISH_SUCCESS';
const DELETE_DISH_ERROR = 'DELETE_DISH_ERROR';

const FETCH_INGREDIENTS_REQUEST = 'FETCH_INGREDIENTS_REQUEST';
const FETCH_INGREDIENTS_SUCCESS = 'FETCH_INGREDIENTS_SUCCESS';
const FETCH_INGREDIENTS_ERROR = 'FETCH_INGREDIENTS_ERROR';

const ADD_INGREDIENT_REQUEST = 'ADD_INGREDIENT_REQUEST';
const ADD_INGREDIENT_SUCCESS = 'ADD_INGREDIENT_SUCCESS';
const ADD_INGREDIENT_ERROR = 'ADD_INGREDIENT_ERROR';

export {
  FETCH_PLACES_REQUEST,
  FETCH_PLACES_SUCCESS,
  FETCH_PLACES_ERROR,
  FETCH_PLACE_REQUEST,
  FETCH_PLACE_SUCCESS,
  FETCH_PLACE_ERROR,
  ADD_PLACE_REQUEST,
  ADD_PLACE_SUCCESS,
  ADD_PLACE_ERROR,
  UPDATE_PLACE_REQUEST,
  UPDATE_PLACE_SUCCESS,
  UPDATE_PLACE_ERROR,
  DELETE_PLACE_REQUEST,
  DELETE_PLACE_SUCCESS,
  DELETE_PLACE_ERROR,
  FETCH_DISHES_REQUEST,
  FETCH_DISHES_SUCCESS,
  FETCH_DISHES_ERROR,
  FETCH_DISH_REQUEST,
  FETCH_DISH_SUCCESS,
  FETCH_DISH_ERROR,
  ADD_DISH_REQUEST,
  ADD_DISH_SUCCESS,
  ADD_DISH_ERROR,
  UPDATE_DISH_REQUEST,
  UPDATE_DISH_SUCCESS,
  UPDATE_DISH_ERROR,
  DELETE_DISH_REQUEST,
  DELETE_DISH_SUCCESS,
  DELETE_DISH_ERROR,
  FETCH_INGREDIENTS_REQUEST,
  FETCH_INGREDIENTS_SUCCESS,
  FETCH_INGREDIENTS_ERROR,
  ADD_INGREDIENT_REQUEST,
  ADD_INGREDIENT_SUCCESS,
  ADD_INGREDIENT_ERROR
};
